Groovy 1.7.0

## org.codehaus.groovy.transform
Class DelegateASTTransformation

    java.lang.Object
      org.codehaus.groovy.transform.DelegateASTTransformation

All Implemented Interfaces:
  ASTTransformation

    @GroovyASTTransformation(phase = CompilePhase.CANONICALIZATION)
    class DelegateASTTransformation
    extends Object

Handles generation of code for the `@Delegate` annotation

author:
  Alex Tkachman

author:
  Guillaume Laforge

author:
  Paul King

Constructor Summary
`DelegateASTTransformation()`

Method Summary
`void` | `visit(ASTNode[] nodes, SourceUnit source)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### DelegateASTTransformation

    DelegateASTTransformation()

Method Detail

### visit

    public void visit(ASTNode[] nodes, SourceUnit source)

Copyright © 2003-2009 The Codehaus. All rights reserved.